---
apiVersion: v1
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      operator.openshift.io/spec-hash: 9c74227d7f96d723d980c50373a5e91f08c5893365bfd5a5040449b1b6585a23
      prometheus.io/scheme: https
      prometheus.io/scrape: "true"
      service.alpha.openshift.io/serving-cert-secret-name: serving-cert
      service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
      service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
    creationTimestamp: "2025-10-27T11:31:08Z"
    labels:
      app: openshift-oauth-apiserver
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:operator.openshift.io/spec-hash: {}
            f:prometheus.io/scheme: {}
            f:prometheus.io/scrape: {}
            f:service.alpha.openshift.io/serving-cert-secret-name: {}
          f:labels:
            .: {}
            f:app: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: authentication-operator
      operation: Update
      time: "2025-10-27T11:31:08Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:service.alpha.openshift.io/serving-cert-signed-by: {}
            f:service.beta.openshift.io/serving-cert-signed-by: {}
      manager: service-ca-operator
      operation: Update
      time: "2025-10-27T11:31:24Z"
    name: api
    namespace: openshift-oauth-apiserver
    resourceVersion: "7904"
    uid: 26362b9b-dfd7-4323-8c41-0303bd9dfc7a
  spec:
    clusterIP: 172.30.235.191
    clusterIPs:
    - 172.30.235.191
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: https
      port: 443
      protocol: TCP
      targetPort: 8443
    selector:
      apiserver: "true"
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
kind: ServiceList
metadata:
  resourceVersion: "2219597"
